clang 10.0.0git

Functions
Multilib.cpp File Reference
`#include "clang/Driver/Multilib.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/StringSet.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/Regex.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <string>`
Include dependency graph for Multilib.cpp:

Go to the source code of this file.

## Functions
static void | normalizePathSegment (std::string &Segment)
| normalize Segment to "/foo/bar" or "". More...
static Multilib | compose (const Multilib &Base, const Multilib &New)
static bool | isFlagEnabled (StringRef Flag)

## Function Documentation

## ◆ compose()

static Multilib compose | ( | const Multilib & | Base,
|  | const Multilib & | New
| ) |  |
| static

Definition at line 172 of file Multilib.cpp.

References clang::driver::Multilib::flags(), clang::driver::Multilib::gccSuffix(), clang::driver::Multilib::includeSuffix(), and clang::driver::Multilib::osSuffix().

Referenced by clang::driver::MultilibSet::Either().

## ◆ isFlagEnabled()

static bool isFlagEnabled | ( | StringRef | Flag | ) |
| static

Definition at line 238 of file Multilib.cpp.

Referenced by clang::driver::MultilibSet::select().

## ◆ normalizePathSegment()

static void normalizePathSegment | ( | std::string & | Segment | ) |
| static

normalize Segment to "/foo/bar" or "".

Definition at line 29 of file Multilib.cpp.

Referenced by clang::driver::Multilib::Multilib().